# Umfrage von API abrufen

Um die Umfrage zu erhalten, können Sie den folgenden API-Endpoint verwenden.

![](/files/fc273c3051c2436509ea9d5003d613b725934f6b)

Dies gibt das einzelne DTO zurück, das alle mit einer Umfrage verbundenen Objekte enthält. Mit den Objekten dieses DTO können Sie alle erforderlichen Operationen an Ihrer Umfrage durchführen.

```typescript
export class NgSurveyModel {
  survey: Survey;
  pages: Page[];
  questions: Question[];
  answers: Answer[];
  answerTypes: NGSAnswerType[];
  answersConnections: AnswerConnection[];
  answersExtendedProperties: AnswerExtendedProperty[];
  answersAppointments: AnswerAppointment[];
  answersWidgetProperties: AnswerWidgetProperty[];
  regularExpressions: RegularExpression[];
  multiLanguageTexts: MultiLanguageText[];
  branchingConditions: NGSBranchingCondition[];
  skipPageConditions: NGSSkipPageCondition[];
  skipQuestionConditions: NGSSkipQuestionCondition[];
  redirectionConditions: NGSRedirectionCondition[];
  skipAnswerConditions: NGSSkipAnswerCondition[];
  thanksMessageConditions: NGSThanksMessageCondition[];
  surveyActions: NGSSurveyAction[];
  formStyles: FormStyle[];
  dynamicContents: NGSDynamicContent[];
  systemMessages: Map<string, Map<string, string>>;
  securityItems: NGSSecurity[];
  lastModified: number;
  supportedLanguages: Language[];
  resources?: Resource[];
  mediaItems?: Media[];
  respondentSession?: NGSRespondent;
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ngsurvey.com/de/personal-account/developer/api-connection-sample/get-survey-from-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
